hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tsuyoshi Ozawa (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (HADOOP-14284) Shade Guava everywhere
Date Fri, 14 Apr 2017 09:06:41 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-14284?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15968813#comment-15968813
] 

Tsuyoshi Ozawa edited comment on HADOOP-14284 at 4/14/17 9:06 AM:
------------------------------------------------------------------

Compilation failure is caused by not refering maven local repository - how can we install
newly added components on test machines? Does anyone know how to do it?

{quote}
\[ERROR\] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile
(default-compile) on project hadoop-auth: Compilation failure: Compilation failure:
\[ERROR\] /testptch/hadoop/hadoop-common-project/hadoop-auth/src/main/java/org/apache/hadoop/security/authentication/util/ZKSignerSecretProvider.java:\[36,61\]
error: package org.apache.hadoop.shaded.com.google.common.annotations does not exist
{quote}


was (Author: ozawa):
Compilation failure is caused by not refering maven local repository - how can we install
newly added components on test machines? Does anyone know how to do it?

{quote}
\[ERROR\] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.1:compile
(default-compile) on project hadoop-auth: Compilation failure: Compilation failure:
\[ERROR\] /testptch/hadoop/hadoop-common-project/hadoop-auth/src/main/java/org/apache/hadoop/security/authentication/util/ZKSignerSecretProvider.java:\[36,61\]
error: package org.apache.hadoop.shaded.com.google.common.annotations does not exist
{quote]

> Shade Guava everywhere
> ----------------------
>
>                 Key: HADOOP-14284
>                 URL: https://issues.apache.org/jira/browse/HADOOP-14284
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 3.0.0-alpha3
>            Reporter: Andrew Wang
>            Assignee: Tsuyoshi Ozawa
>            Priority: Blocker
>         Attachments: HADOOP-14238.pre001.patch, HADOOP-14284.002.patch, HADOOP-14284.004.patch,
HADOOP-14284.007.patch, HADOOP-14284.010.patch
>
>
> HADOOP-10101 upgraded the guava version for 3.x to 21.
> Guava is broadly used by Java projects that consume our artifacts. Unfortunately, these
projects also consume our private artifacts like {{hadoop-hdfs}}. They also are unlikely on
the new shaded client introduced by HADOOP-11804, currently only available in 3.0.0-alpha2.
> We should shade Guava everywhere to proactively avoid breaking downstreams. This isn't
a requirement for all dependency upgrades, but it's necessary for known-bad dependencies like
Guava.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message